## ros-indigo-object-recognition-tod 0.5.5

=== src/common/CMakeLists.txt ===
# deal with the detection TOD module

find_package(object_recognition_core REQUIRED)

include_directories(SYSTEM ${object_recognition_core_INCLUDE_DIRS})

add_library(tod_common SHARED
    maximum_clique.cpp
    adjacency_ransac.cpp
)

target_link_libraries(tod_common ${OpenCV_LIBRARIES})

install(TARGETS tod_common
        DESTINATION lib
)

=== debian/changelog ===
ros-indigo-object-recognition-tod (0.5.5-0trusty) trusty; urgency=high

  * Fix seg fault while detecting objects
    In many cases, matches[i] contains less than 5 elements (varies seemingly random between 0 and 4)
    Long history available [here](https://github.com/plasmodic/ecto_opencv/commit/2f2fe7fb75d09337c1d594cee416bd948f337b30#commitcomment-10687068)
  * Contributors: Jorge Santos Simón

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 18 Apr 2015 22:00:00 -0000

ros-indigo-object-recognition-tod (0.5.4-0trusty) trusty; urgency=high

  * fix radius search not support with LSH
  * remove useless code
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 14 Apr 2015 22:00:00 -0000

ros-indigo-object-recognition-tod (0.5.3-0trusty) trusty; urgency=high

  * use OpenCV and not opencv_candidate for LSH
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 30 Mar 2015 22:00:00 -0000

ros-indigo-object-recognition-tod (0.5.2-0trusty) trusty; urgency=high

  * add opencv_candidate as a dependency
    It is included but just transitively so it's better to have it
    directly
  * Revert "remove dependency on opencv_candidate"
    This reverts commit 3a515e48c815b9e0c7f6df20b730b98d0dccd5df.
    The RGBD module from opencv_candidate is indeed needed
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 29 Mar 2015 22:00:00 -0000

ros-indigo-object-recognition-tod (0.5.1-0trusty) trusty; urgency=high

  * remove dependency on opencv_candidate
  * clean extensions
  * remove useless build dependency
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 28 Mar 2015 23:00:00 -0000

ros-indigo-object-recognition-tod (0.5.0-0trusty) trusty; urgency=high

  * compile under Indigo
  * Merge pull request #6 <https://github.com/wg-perception/tod/issues/6> from awesomebytes/patch-2
    For some reason this is needed using openni
  * For some reason this is needed using openni
    This is just a workaround, the real problem is that the default values expect:
    ```[ INFO] [1395248076.002277778]: Subscribed to topic:/camera/rgb/camera_info with queue size of 1
    [ INFO] [1395248076.003073369]: Subscribed to topic:/camera/rgb/image_raw with queue size of 1
    [ INFO] [1395248076.003968179]: Subscribed to topic:/camera/depth_registered/camera_info with queue size of 1
    [ INFO] [1395248076.004994459]: Subscribed to topic:/camera/depth_registered/image_raw with queue size of 1
    ```
    Using openni2 this is not a problem as it's published by default but using openni those are not published, so this workarounds that.
  * Merge pull request #5 <https://github.com/wg-perception/tod/issues/5> from awesomebytes/patch-1
    Configuration that gives detections
  * Configuration that gives detections
    Tested with an Asus Xtion and 6 objects trained.
    The sink2 + adding to pipeline1 the output sink2 makes that /recognized_object_array has publications!
  * fix tests
  * add openni runtime dependency
  * fix the ROS config file to use ROS
  * drop Fuerte support
  * update url
  * udpate the docs
  * Merge pull request #3 <https://github.com/wg-perception/tod/issues/3> from destogl/ros_cell_config_correction
    Corrected cell cofing to work out-of-the-box with ROS.
  * Corrected cell cofing to work out of the box with ros.
    There was problem with wrong type and parameters cell is added.
  * fixes wg-perception/object_recognition_core#13 <https://github.com/wg-perception/object_recognition_core/issues/13>
  * Contributors: Denis Štogl, Sammy Pfeiffer, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 12 Apr 2014 22:00:00 -0000

ros-indigo-object-recognition-tod (0.4.16-0trusty) trusty; urgency=high

  * use proper K_image/K_depth
  * update email address
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 28 May 2013 22:00:00 -0000

ros-indigo-object-recognition-tod (0.4.15-0trusty) trusty; urgency=high

  * fix display
  * fix the 3d point non-sense
  * comply to the new core API
  * finally convert the Trainer fully to C++
  * remove old split modules in favor of one cell
  * comply to the new DB API
  * implement moreof the pipeline
  * comply to the new headers in core
  * add a Trainer cell to replace the Python mess
  * make the cell contents be in a common library-like file
  * fix the pipeline
  * fix the invalid plasm
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 13 Apr 2013 22:00:00 -0000

ros-indigo-object-recognition-tod (0.4.14-0trusty) trusty; urgency=high

  * comply to the new DB API
  * fix a Sphinx warning
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 11 Mar 2013 23:00:00 -0000

ros-indigo-object-recognition-tod (0.4.13-0trusty) trusty; urgency=high

  * comply to the tighter BlackBox API
  * comply to the API
  * fix a member that can be static
  * remove rst warning
  * build its own docs
  * get the training test to pass
  * rename the config files
  * clean the CMake
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 24 Feb 2013 23:00:00 -0000

ros-indigo-object-recognition-tod (0.4.12-0trusty) trusty; urgency=high

  * comply to the new ORK API
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 16 Jan 2013 23:00:00 -0000

ros-indigo-object-recognition-tod (0.4.11-0trusty) trusty; urgency=high

  * use the new DB API
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 12 Jan 2013 23:00:00 -0000

ros-indigo-object-recognition-tod (0.4.10-0trusty) trusty; urgency=high

  * use the new BlackBox API
  * comply to the new core API
  * clean CMake
  * fix the catkin buildtool_depend
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 03 Jan 2013 23:00:00 -0000



=== debian/control ===
Source: ros-indigo-object-recognition-tod
Section: misc
Priority: extra
Maintainer: Vincent Rabaud <vincent.rabaud@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-ecto, ros-indigo-object-recognition-core, ros-indigo-opencv-candidate
Homepage: http://wg-perception.github.io/tod/
Standards-Version: 3.9.2

Package: ros-indigo-object-recognition-tod
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-ecto, ros-indigo-ecto-opencv, ros-indigo-ecto-openni, ros-indigo-object-recognition-core, ros-indigo-opencv-candidate
Description: Textured Object Recognition a standard bag of features approach

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-object-recognition-tod//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
